Subject: Re: linux-next: Tree for November 23

From: Randy Dunlap <[email-masked]>
Date: Mon, 23 Nov 2009 15:44:39 -0800

Greg KH wrote:
> On Mon, Nov 23, 2009 at 03:37:46PM -0800, Randy Dunlap wrote:
>> Stephen Rothwell wrote:
>>> Hi Randy,
>>>
>>> On Mon, 23 Nov 2009 15:04:39 -0800 Randy Dunlap <[email-masked]> wrote:
>>>> I decided to check on linux-next (only checked x86_64 allmodconfig),
>>>> and viola:
>>>>
>>>> CONFIG_STAGING=y
>>>> CONFIG_STAGING_EXCLUDE_BUILD=y
>>>>
>>>> That is just too helpful.  :(
>>> The Kconfig was deliberately done so that the all{no,yes,mod}config
>>> builds don't build the staging stuff.  You need to explictly ask for it.
>>> Otherwise I would spend all my time reporting/fixing errors and warnings
>>> in linux-next.
>>>
>> no, you should just drop it after one build error.
> 
> No.  We've been through this before a while ago.  We want the staging
> tree in linux-next to deal with merge issues and to help the developers
> who are contributing to it.
> 
> If you want to take it out of your automated randconfig builds because
> it causes you lots of problems, that's fine with me.

Sure, but that's ignoring the real problem that fixes don't get
merged frequently enough, even when they are known & posted.

-- 
~Randy